/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2009.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: sgx/src/sgx/core/memory/allocc.cpp

*/

#include "sgx/core/core.hpp"

CSGXMemoryAllocatorStdC::CSGXMemoryAllocatorStdC(void *ptr, const tMEM_SIZE size, const CSGXMemoryAlignment &alignment) :
	CSGXMemoryAllocator(ptr, size, alignment) {
}
 
void *CSGXMemoryAllocatorStdC::alloc(const tMEM_SIZE size) {
	return ::malloc(size);
}
 
tBOOL CSGXMemoryAllocatorStdC::freePtr(void *ptr) {
	::free(ptr);
	return TRUE;
}
 
